local input = require('input')

local entity = {}
entity.entities = {} --All entities

entity.spawn = function(id, x, y)
    local sprites = {
        blueSprite,
        yellowSprite,
        redSprite,
        purpleSprite,
    }
    local body = love.physics.newBody(world, x, y, "dynamic")
    local shape = love.physics.newCircleShape(100)
    return {
        sprite = sprites[(tonumber(id) % #sprites) + 1],
        id = id,
        x = x,
        y = y,
        body = body,
        shape = shape,
        fixture = love.physics.newFixture(body, shape)
    }
end

entity.draw = function(entity)
    love.graphics.setColor(1, 1, 1, 1)
    love.graphics.draw(entity.sprite, entity.body:getX(), entity.body:getY(), nil, 0.5, 0.5)
end

entity.move = function()
    local player = entity.entities[entity.id]

    if input.right then --press the right arrow key to push the ball to the right
        player.body:applyForce(400, 0)
    elseif input.left then --press the left arrow key to push the ball to the left
        player.body:applyForce(-400, 0)
    elseif input.up then --press the up arrow key to set the ball in the air
        player.body:applyLinearImpulse(0, -500)
    end

    player.x = player.body:getX()
    player.y = player.body:getY()

end

return entity