local server = require('server/server')

local currentScene = "menu"
local scenes = {}

scenes.draw = function()
    if currentScene == "menu" then
        love.graphics.draw(hostBtnImg, windowWidth/2, 500, nil, 0.5, 0.5, hostBtnImg:getWidth()/2, hostBtnImg:getHeight()/2)
        love.graphics.draw(joinBtnImg, windowWidth/2, 600, nil, 0.5, 0.5, joinBtnImg:getWidth()/2, joinBtnImg:getHeight()/2)
        love.graphics.draw(quitBtnImg, windowWidth/2, 700, nil, 0.5, 0.5, quitBtnImg:getWidth()/2, quitBtnImg:getHeight()/2)
    end
    if currentScene == "host" then
        love.graphics.draw(backBtnImg, windowWidth/2, 700, nil, 0.5, 0.5, quitBtnImg:getWidth()/2, quitBtnImg:getHeight()/2)
    end
    if currentScene == "join" then
        love.graphics.draw(backBtnImg, windowWidth-quitBtnImg:getWidth()/4, 50, nil, 0.5, 0.5, quitBtnImg:getWidth()/2, quitBtnImg:getHeight()/2)
    end
end

scenes.update = function()
    if currentScene == "menu" then
        --Host Btn Clicked
        if (love.mouse.getX() > windowWidth/2-hostBtnImg:getWidth()/4 and love.mouse.getX() < windowWidth/2+hostBtnImg:getWidth()/4 and love.mouse.getY() > 500 - hostBtnImg:getHeight()/4 and love.mouse.getY() < 500 + hostBtnImg:getHeight()/4) then
            currentScene = "host"
            server.startServer()
            print("Started server")
        end
        --Join Btn Clicked
        if (love.mouse.getX() > windowWidth/2-joinBtnImg:getWidth()/4 and love.mouse.getX() < windowWidth/2+joinBtnImg:getWidth()/4 and love.mouse.getY() > 600 - joinBtnImg:getHeight()/4 and love.mouse.getY() < 600 + joinBtnImg:getHeight()/4) then
            currentScene = "join"
            server.startClient()
            print("Started client")
        end
        --Quit Btn Clicked
        if (love.mouse.getX() > windowWidth/2-quitBtnImg:getWidth()/4 and love.mouse.getX() < windowWidth/2+quitBtnImg:getWidth()/4 and love.mouse.getY() > 700 - quitBtnImg:getHeight()/4 and love.mouse.getY() < 700 + quitBtnImg:getHeight()/4) then
            love.event.quit()
            server.disconnect()
            print("Quit Game: Disconnected client/server")
        end
    end
    --Back Btn Clicked
    if currentScene == "host" or currentScene == "join" then
        if (love.mouse.getX() > windowWidth-quitBtnImg:getWidth()/4-backBtnImg:getWidth()/4 and love.mouse.getX() < windowWidth-quitBtnImg:getWidth()/4+backBtnImg:getWidth()/4 and love.mouse.getY() > 50 - backBtnImg:getHeight()/4 and love.mouse.getY() < 50 + backBtnImg:getHeight()/4) then
            currentScene = "menu"
            server.disconnect()
            print("Disconnected client/server")
        end
    end
end

return scenes